#creats a new KlattGrid, named 'kraa'. 
Create KlattGrid... kraa 0 0.5 6 1 1 6 1 1 1 

#add formant loci for /k/, from 0 to 0.03s is closure 
Add oral formant frequency point... 1 0.03 800 
Add oral formant frequency point... 2 0.03 1500 
Add oral formant frequency point... 3 0.03 1900
Add oral formant frequency point... 4 0.5 3000 
Add oral formant frequency point... 5 0.5 4000 

Add oral formant bandwidth point... 1 0.03 75 
Add oral formant bandwidth point... 2 0.03 125 
Add oral formant bandwidth point... 3 0.03 225
Add oral formant bandwidth point... 4 0.5 400
Add oral formant bandwidth point... 5 0.5 500 

#add burst (10ms)
Add frication amplitude point... 0.029 0 
Add frication amplitude point... 0.03 20
Add frication amplitude point... 0.039 20
Add frication amplitude point... 0.04 0 
Add frication bypass point... 0.03 25 
Add frication formant frequency point... 4 0.03 2600 
Add frication formant amplitude point... 4 0.03 25 
Add frication formant bandwidth point... 4 0.03 300 

#add aspiration (70ms)
Add aspiration amplitude point... 0 0
Add aspiration amplitude point... 0.04 0
Add aspiration amplitude point... 0.041 65
Add aspiration amplitude point... 0.110 65
Add aspiration amplitude point... 0.111 0

#increase bandwidth of F1 during aspiration
Add oral formant bandwidth point... 1 0.04 300
Add oral formant bandwidth point... 1 0.11 300
Add oral formant bandwidth point... 1 0.111 90

#add voicing amplitude
Add voicing amplitude point... 0.0 0 
Add voicing amplitude point... 0.111 90 
Add voicing amplitude point... 0.45 90 
Add voicing amplitude point... 0.5 0

#add breathy voice quality
Add breathiness amplitude point... 0.070 0
Add breathiness amplitude point... 0.09 0
Add breathiness amplitude point... 0.1 75
Add breathiness amplitude point... 0.45 75
Add breathiness amplitude point... 0.5 0
Add spectral tilt point... 0.07 24

#add pitch targets
Add pitch point... 0.0 150
Add pitch point... 0.25 90
Add pitch point... 0.5 140

#add steady-state vowel formants and bandwidths
#onset
Add oral formant frequency point... 1 0.1 440 
Add oral formant bandwidth point... 1 0.1 90
Add oral formant frequency point... 2 0.1 900
Add oral formant bandwidth point... 2 0.1 50 
Add oral formant frequency point... 3 0.1 1800 
Add oral formant bandwidth point... 3 0.1 130

#midpoint
Add oral formant frequency point... 1 0.4 680
Add oral formant bandwidth point... 1 0.4 90
Add oral formant frequency point... 2 0.4 1050
Add oral formant bandwidth point... 2 0.4 50 
Add oral formant frequency point... 3 0.4 1800 
Add oral formant bandwidth point... 3 0.4 130
